%global qemu_ga_win_build qemu-ga-win-6.5-5

Summary: VirtIO para-virtualized drivers for Windows(R)
Name: virtio-win
Version: 1.6.8
Release: 4%{?dist}
License: Red Hat Proprietary
Group: Applications/System
URL: http://www.redhat.com/
Source0: %{name}-%{version}.zip
Source1: %{name}-%{version}-bin-whql.zip
Source2: %{name}-%{version}_x86-drivers.zip
Source3: %{name}-%{version}_amd64-drivers.zip
Source4: %{qemu_ga_win_build}-installers.zip
Source5: %{qemu_ga_win_build}-sources.zip
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildArch: noarch
BuildRequires:  /usr/bin/mkisofs

%description
VirtIO para-virtualized Windows(R) drivers for 32-bit and 64-bit
Windows(R) guests.

%prep
%setup -q -T -b 1 -n %{name}-%{version}
%setup -q -T -a 2 -n %{name}-%{version} -D
%setup -q -T -a 3 -n %{name}-%{version} -D
%setup -q -T -a 4 -n %{name}-%{version} -D

%build
%{__mv} %{qemu_ga_win_build} guest-agent
/usr/bin/mkisofs -m drivers -o %{name}-%{version}.iso -r -J \
  -input-charset iso8859-1 -V "%{name}-%{version}" .

%install
%{__rm} -rf %{buildroot}
%{__mkdir} %{buildroot}

%{__install} -d -m0755 %{buildroot}%{_datadir}/%{name}
%{__install} -p -m0644 %{name}-%{version}.iso %{buildroot}%{_datadir}/%{name}
%{__ln_s} %{name}-%{version}.iso %{buildroot}%{_datadir}/%{name}/%{name}.iso

%{__install} -p -m0644 %{name}-%{version}_x86.vfd  %{buildroot}%{_datadir}/%{name}
%{__ln_s} %{name}-%{version}_x86.vfd %{buildroot}%{_datadir}/%{name}/%{name}_x86.vfd
%{__install} -p -m0644 %{name}-%{version}_amd64.vfd  %{buildroot}%{_datadir}/%{name}
%{__ln_s} %{name}-%{version}_amd64.vfd %{buildroot}%{_datadir}/%{name}/%{name}_amd64.vfd

%{__cp} -a drivers %{buildroot}/%{_datadir}/%{name}
%{__cp} -a guest-agent %{buildroot}/%{_datadir}/%{name}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc virtio-win_license.txt
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/%{name}-%{version}.iso
%{_datadir}/%{name}/%{name}.iso
%{_datadir}/%{name}/*.vfd
%{_datadir}/%{name}/drivers
%{_datadir}/%{name}/guest-agent

%changelog
* Wed Jan 22 2014 Mike Bonnet <mikeb@redhat.com> - 1.6.8-4
- Re-update guest-agent installers
- Related: rhbz#1034426

* Fri Jan 17 2014 Mike Bonnet <mikeb@redhat.com> - 1.6.8-3
- Update guest-agent installers
- Resolves: rhbz#1034426

* Thu Jan 16 2014 Mike Bonnet <mikeb@redhat.com> - 1.6.8-2
- Add new drivers to the .vfds and .iso
- Resolves: rhbz#1054015

* Wed Jan 15 2014 Mike Bonnet <mikeb@redhat.com> - 1.6.8-1
- Refresh the scsi driver
- Resolves: rhbz#889941

* Wed Dec  4 2013 Mike Bonnet <mikeb@redhat.com> - 1.6.7-3
- Fix the serial driver for Windows 2012
- Resolves: rhbz#1037547

* Tue Oct 29 2013 Mike Bonnet <mikeb@redhat.com> - 1.6.7-2
- Remove netkvmco.dll from the floppy images to save space
- Related: rhbz#1018649

* Tue Oct 29 2013 Mike Bonnet <mikeb@redhat.com> - 1.6.7-1
- Update to the latest version of the drivers
- Add qemu-ga installers to the .iso
- Resolves: rhbz#1018649 rhbz#1018652 rhbz#908609

* Thu Aug 15 2013 Jay Greguske <jgregusk@redhat.com> 1.6.6-1
- Resolves: 968050

* Thu Jul 11 2013 Jay Greguske <jgregusk@redhat.com> 1.6.5-6
- Resolves: 983500 (CVE-2013-2231)

* Fri Jun 28 2013 Jay Greguske <jgregusk@redhat.com> 1.6.5-5
- Resolves: 979239

* Thu Jun 27 2013 Jay Greguske <jgregusk@redhat.com> 1.6.5-4
- Resolves: 978648 978282 977686

* Wed Jun 26 2013 Jay Greguske <jgregusk@redhat.com> 1.6.5-3
- Use OS-specific cat files for each OS

* Tue Jun 25 2013 Jay Greguske <jgregusk@redhat.com> 1.6.5-2
- Use an uncorrupted amd64 cat file

* Mon Jun 24 2013 Jay Greguske <jgregusk@redhat.com> 1.6.5-1
- Resolves 976310

* Mon Apr 29 2013 Jay Greguske <jgregusk@redhat.com> 1.6.4-1
- Resolves 956228

* Wed Feb 6 2013 Jay Greguske <jgregusk@redhat.com> 1.6.3-3
- added further fixed txtsetup.oem

* Wed Feb 6 2013 Jay Greguske <jgregusk@redhat.com> 1.6.3-2
- add fixed txtsetup.oem
- added win2k8r2 netkvm drivers

* Wed Feb 6 2013 Jay Greguske <jgregusk@redhat.com> 1.6.3-1
- Reorganize the VFDs to be 32/64 bit
- Fix 1009 balloon coinstallers being resigned
- Resolves: 908163, 891640

* Tue Feb 5 2013 Jay Greguske <jgregusk@redhat.com> 1.6.2-2
- Fix 1009 coinstallers being resigned
- Resolves: 891640

* Wed Jan 30 2013 Jay Greguske <jgregusk@redhat.com> 1.6.2-1
- Split up the VFD
- Resolves: 905011

* Tue Jan 29 2013 Jay Greguske <jgregusk@redhat.com> 1.6.1-2
- Remove vioser-test.pdbs
- Resolves: 838915

* Thu Jan 24 2013 Jay Greguske <jgregusk@redhat.com> 1.6.1-1
- Added drivers from submissions 1556359, 1557005, 1557012,
  1557004, 1557008, 1555597, 1552544, 1551826, 1549074,
  1546707
- Enabled Win8/2012 platforms
- Updated txtsetup.oem for Windows 2003
- Resolves: 902977, 857832, 803633, 880569, 836915,
  838021, 714908, 750421, 760022, 768795, 782268, 790305,
  797030, 797032, 797695, 799864, 800247, 800716, 801238,
  805423, 807967, 814684, 814896, 815295, 816452, 819412,
  824814, 827000, 828275, 831570, 833659, 833671, 834174,
  834175, 834179, 834679, 836474, 837321, 837758, 838002,
  838005, 838008, 839143, 839853, 840911, 841169, 841544,
  842961, 843325, 855826, 858551, 859882, 864841, 873128,
  873960, 873971, 875155, 876033, 876061, 876397, 876504,
  877333, 878291, 879143, 879178
- add the Windows guest agent and supporting .dlls to the .iso
  Resolves: 902977

* Wed Oct 31 2012 Jay Greguske <jgregusk@redhat.com> 1.6.0-1
- Added QXL drivers from submission 1534828
- Resolves: 871679

* Fri Aug 17 2012 Jay Greguske <jgregusk@redhat.com> 1.5.4-1
- Increased VFD size to 2.88M
- Resolves: 760022

* Fri Jul 6 2012 Jay Greguske <jgregusk@redhat.com> 1.5.3-1
- Updated drivers for vio-serial
- Resolved: 833659

* Tue May 29 2012 Jay Greguske <jgregusk@redhat.com> 1.5.2-1
- Fixed Windows XP block drivers

* Tue May 16 2012 Jay Greguske <jgregusk@redhat.com> 1.5.1-1
- Updated drivers for RHEL 6.3
- Resolved: 677219, 695053, 713643, 730877, 744729, 744730,
            751952, 752743, 753723, 759361, 760022, 769495,
            770499, 771390, 799178, 799182, 799190, 799248,
            799264, 808322, 808654, 810694, 811161

* Thu Oct  6 2011 Mike Bonnet <mikeb@redhat.com> - 1.4.0-1
- Updated drivers for RHEL 6.2

* Wed Aug 10 2011 Jay Greguske <jgregusk@redhat.com> - 1.3.3-0
- Removed xp/amd64 directories and drivers since we do not
  support that platform. (rhbz#728457)

* Fri Aug  5 2011 Michael Bonnet <mikeb@redhat.com> - 1.3.2-2
- fix the directory structure of the sources zip

* Thu Aug  4 2011 Mike Bonnet <mikeb@redhat.com> - 1.3.2-1
- update viostor.cat (rhbz#727799)

* Fri Jul 29 2011 Jay Greguske <jgregusk@redhat.com> 1.3.1-1
- Added new vioserial drivers (rhbz#721355)
- prewhql build: 0.1-13

* Tue Jul 26 2011 Jay Greguske <jgregusk@redhat.com> 1.3.0-1
- Added new vioserial drivers (rhbz#720540, rhbz#702258)
- prewhql build: 0.1-12
- included 00-ms-cross-cert.patch for the sake of completeness

* Tue Apr 26 2011 Jay Greguske <jgregusk@redhat.com> 1.2.0-1
- Fix 2k8-32 drivers

* Mon Apr 25 2011 Jay Greguske <jgregusk@redhat.com> 1.2.0-0
- Added viostor, vioserial and balloon drivers for 6.1 (rhbz#699570)

* Wed Mar 30 2011 Jay Greguske <jgregusk@redhat.com> 1.1.16-4
- remove hypercall drivers included in error
- add vioserial and balloon which were excluded in error

* Thu Mar 24 2011 Jay Greguske <jgregusk@redhat.com> 1.1.16-3
- fix viostor 2k8-64 driver direct from MS this time (rhbz#681958)

* Wed Mar 23 2011 Jay Greguske <jgregusk@redhat.com> - 1.1.16-2
- Sources now a zip rather than tarball
- fix viostor 2k8-64 driver (rhbz#681958)
- Removed .git in sources zip (rhbz#671187)

* Thu Feb 10 2011 Jay Greguske <jgregusk@redhat.com> - 1.1.16-1
- Fixed drivers zip (viostor, balloon and vioserial)

* Fri Jul 2 2010 Jay Greguske <jgregusk@redhat.com> - 1.1.16-0
- RHEL 6 rebuild with new drivers

* Thu May 13 2010 Dennis Gregorovic <dgregor@redhat.com> - 1.0.0-8.1.41879
- Bump for rebuild

* Mon Jan 18 2010 Jay Greguske <jgregusk@redhat.com> - 1.0.0-8.41879
- Updated drivers from sm17 tags

* Tue Nov 17 2009 Jay Greguske <jgregusk@redhat.com> - 1.0.0-7.39539
- Packages built with the rhevm-2.1 branch
- included installer fixes

* Mon Nov 16 2009 Jay Greguske <jgregusk@redhat.com> - 1.0.0-6.37540
- license file is in .txt format
- included fix to installers so the correct block drivers are used

* Wed Nov  4 2009 Jay Greguske <jgregusk@redhat.com> - 1.0.0-5.37540
- Added new license documentation

* Tue Nov  3 2009 Jay Greguske <jgregusk@redhat.com> - 1.0.0-4.37540
- Added dual-signed x64 2008/2008r2 net drivers

* Thu Jun 18 2009 Jay Greguske <jgregusk@redhat.com> - 1.0.0-2.31351
- Fixed licensing issue in source tarball

* Wed Jun 17 2009 Mike Bonnet <mikeb@redhat.com> - 1.0.0-1.31351
- rebuild from the latest upstream sources

* Thu May  7 2009 Mike Bonnet <mikeb@redhat.com> - 1.0.0-1.28503
- Initial build
